<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>childClass (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/data/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/tests/data/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/data/childclass.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Tests\Data\childClass</div>
<a href="../../../source/tests/cases/data/php5-test.php.html#line130" class="location">tests/cases/data/php5-test.php at line 130</a>

<h1>Class childClass</h1>

<pre class="tree"><a href="../../../phpdoctor/tests/data/aclass.html">aClass</a><br>    └─<strong>childClass</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>childClass</strong><br>extends <a href="../../../phpdoctor/tests/data/aclass.html">aClass</a>

</p>

<div class="comment" id="overview_description"><p></p></div>

<hr>

<table class="inherit">
<tr><th colspan="2">Fields inherited from PHPDoctor\Tests\Data\aClass</th></tr>
<tr><td><a href="../../../phpdoctor/tests/data/aclass.html#aVar">aVar</a>, <a href="../../../phpdoctor/tests/data/aclass.html#aVarWithStringValue">aVarWithStringValue</a>, <a href="../../../phpdoctor/tests/data/aclass.html#aVarWithValue">aVarWithValue</a>, <a href="../../../phpdoctor/tests/data/aclass.html#anArrayVar">anArrayVar</a>, <a href="../../../phpdoctor/tests/data/aclass.html#anIntVar">anIntVar</a>, <a href="../../../phpdoctor/tests/data/aclass.html#multipleVars1">multipleVars1</a>, <a href="../../../phpdoctor/tests/data/aclass.html#multipleVars2">multipleVars2</a>, <a href="../../../phpdoctor/tests/data/aclass.html#multipleVars3">multipleVars3</a>, <a href="../../../phpdoctor/tests/data/aclass.html#varContainingHTMLToEscape">varContainingHTMLToEscape</a></td></tr></table>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>(mixed foo, mixed bar)</p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\Tests\Data\aClass</th></tr>
<tr><td><a href="../../../phpdoctor/tests/data/aclass.html#__construct()">__construct</a>, <a href="../../../phpdoctor/tests/data/aclass.html#aMethod()">aMethod</a>, <a href="../../../phpdoctor/tests/data/aclass.html#aMethodWithGuessedParamTypes()">aMethodWithGuessedParamTypes</a>, <a href="../../../phpdoctor/tests/data/aclass.html#aMethodWithParams()">aMethodWithParams</a></td></tr></table>

<h2 id="detail_method">Method Detail</h2>
<a href="../../../source/tests/cases/data/php5-test.php.html#line132" class="location">tests/cases/data/php5-test.php at line 132</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>(mixed foo, mixed bar)</code>
<div class="details">
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/data/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/tests/data/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/data/childclass.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>